org.apache.ignite.internal.processors.security.thread

## Class SecurityAwareIoPool

- java.lang.Object
- - org.apache.ignite.internal.processors.security.thread.SecurityAwareIoPool

All Implemented Interfaces:
  Extension, IoPool

    public class SecurityAwareIoPool
    extends Object
    implements IoPool

Wrapper of `IoPool` that executes tasks in security context that was actual when task was added to pool queue.

### Constructor Summary

Constructors
Constructor and Description
`SecurityAwareIoPool(IgniteSecurity security, IoPool delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Executor` `executor()` Gets the Executor for this Pool.
`byte` `id()` Gets the numeric identifier of the pool.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityAwareIoPool

    public SecurityAwareIoPool(IgniteSecurity security,
                               IoPool delegate)

### Method Detail

#### id

    public byte id()

Gets the numeric identifier of the pool. This identifier is to be taken from serialized message and used to find the appropriate executor pool to process it.

Specified by:
  `id` in interface `IoPool`
Returns:
  The id.

#### executor

    public Executor executor()

Gets the Executor for this Pool. Cannot be null.

Specified by:
  `executor` in interface `IoPool`
Returns:
  The executor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022